Revision eb7626a3

View differences:

configure
2526 2526
                      require  libdirac libdirac_encoder/dirac_encoder.h dirac_encoder_init $(pkg-config --libs dirac)
2527 2527
enabled libfaac    && require2 libfaac "stdint.h faac.h" faacEncGetVersion -lfaac
2528 2528
enabled libgsm     && require  libgsm gsm/gsm.h gsm_create -lgsm
2529
enabled libmp3lame && require  libmp3lame lame/lame.h lame_init -lmp3lame -lm
2529
enabled libmp3lame && require  libmp3lame lame/lame.h lame_init -lmp3lame
2530 2530
enabled libnut     && require  libnut libnut.h nut_demuxer_init -lnut
2531
enabled libopencore_amrnb  && require libopencore_amrnb opencore-amrnb/interf_dec.h Decoder_Interface_init -lopencore-amrnb -lm
2532
enabled libopencore_amrwb  && require libopencore_amrwb opencore-amrwb/dec_if.h D_IF_init -lopencore-amrwb -lm
2531
enabled libopencore_amrnb  && require libopencore_amrnb opencore-amrnb/interf_dec.h Decoder_Interface_init -lopencore-amrnb
2532
enabled libopencore_amrwb  && require libopencore_amrwb opencore-amrwb/dec_if.h D_IF_init -lopencore-amrwb
2533 2533
enabled libopenjpeg && require libopenjpeg openjpeg.h opj_version -lopenjpeg
2534 2534
enabled librtmp    && require  librtmp librtmp/rtmp.h RTMP_Init $(pkg-config --libs librtmp)
2535 2535
enabled libschroedinger && add_cflags $(pkg-config --cflags schroedinger-1.0) &&
......
2539 2539
enabled libvorbis  && require  libvorbis vorbis/vorbisenc.h vorbis_info_init -lvorbisenc -lvorbis -logg
2540 2540
enabled libvpx     && require2 libvpx "vpx/vpx_decoder.h vpx/vp8dx.h" "vpx_codec_dec_init_ver" -lvpx &&
2541 2541
                      require2 libvpx "vpx/vpx_encoder.h vpx/vp8cx.h" "vpx_codec_enc_init_ver" -lvpx
2542
enabled libx264    && require  libx264 x264.h x264_encoder_encode -lx264 -lm &&
2542
enabled libx264    && require  libx264 x264.h x264_encoder_encode -lx264 &&
2543 2543
                      { check_cpp_condition x264.h "X264_BUILD >= 98" ||
2544 2544
                        die "ERROR: libx264 version must be >= 0.98."; }
2545 2545
enabled libxvid    && require  libxvid xvid.h xvid_global -lxvidcore

Also available in: Unified diff